Subject: Re: bug#42147: 28.0.50; pure vs side-effect-free, missing optimizations?

From: Stefan Monnier <[email-masked]>
Date: Thu, 09 Jul 2020 08:47:03 -0400

> String mutation is something of a special case: it is rare, yet its mere
> possibility incurs costs even for code that doesn't use it.

Yes and no: it's *very* rare to change the sequence of characters which
compose a string, yes, but until the addition of `propertize` (in
Emacs-21) mutation was the only way to add text-properties to a string,
so it's still quite common.

        Stefan